You are not logged in.

Dear visitor, welcome to krpano.com Forum. If this is your first visit here, please read the Help. It explains in detail how this page works. To use all features of this page, you should consider registering. Please use the registration form, to register here or read more information about the registration process. If you are already registered, please login here.

Kabkee

Trainee

  • "Kabkee" started this thread

Posts: 82

Location: South Korea

Occupation: South Korea

  • Send private message

1

Tuesday, March 20th 2018, 6:34am

How can I see the error message "ERROR: HTML5 Browser with CSS3D or WebGL support required!" "

I'd like to localrize the message "ERROR: HTML5 Browser with CSS3D or WebGL support required!".
However I do not know how not to my browser support css3d AND adobe flash player.

Please let me know how to test to see the message.
*love*

2

Tuesday, March 20th 2018, 5:57pm

Hi,

e.g. one possibility would be using IE11 or Edge and selecting the 'IE9 emulation' in the developer tools.

Btw - for localization please on the onerror callback (patching the scripts is NOT recommended):
https://krpano.com/docu/html/#onerror

Best regards,
Klaus

Kabkee

Trainee

  • "Kabkee" started this thread

Posts: 82

Location: South Korea

Occupation: South Korea

  • Send private message

3

Wednesday, March 21st 2018, 3:24am

Hi,

I didn't know there's onerror function.
it could be alternative way to change the error msg.
Thank you.

4

Wednesday, August 29th 2018, 9:29pm

Slightly different angle on this topic, but I post my question here. Hope somebody knows a solution.

On the Mac, in the Chrome browser (not in Safari), I get a black screen and this error message now: ERROR: HTML5 Browser with WebGL or CSS3D support required!
Small detail: in the black screen, it does show the navigation that we added to this tour.

Does any of the experts have an idea what causes this and is there a workaround?

Many thanks in advance.



5

Sunday, September 2nd 2018, 8:33pm

Hi,

On the Mac, in the Chrome browser (not in Safari), I get a black screen and this error message now: ERROR: HTML5 Browser with WebGL or CSS3D support required!
That means your GPU (very probably a Intel HD Graphics 3000, right?) isn't supported by Chrome anymore. Without GPU support there is no WebGL and hardware-accelerated CSS3D possible.

Does any of the experts have an idea what causes this and is there a workaround?
Enter this url manually in Chrome:

Source code

1
chrome://flags/#ignore-gpu-blacklist
and active that setting, then restart Chrome. After that Chrome should support your GPU again.

Best regards,
Klaus